Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message.notification
Class NotificationManager

    java.lang.Object
      hr.tis.mgw.client.message.notification.NotificationManager

All Implemented Interfaces:
  org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort, hr.kapsch.wsdl.parlayx.v1_0.notification.NotificationExtensionPort, NotificationManagerReceiver, java.rmi.Remote, org.csapi.www.wsdl.parlayx.sms.v1_0.notification.SmsNotificationPort

public class NotificationManager
extends java.lang.Object
implements NotificationManagerReceiver

Accepts messages received by Axis SOAP library. This class is used internally by library for receiving messages and should not be used.

Method Summary
`static NotificationManager` | `getManager()`
`void` | `notifyLongSmsReception(java.lang.String registrationIdentifier, java.lang.String smsServiceActivationNumber, java.lang.String senderAddress, java.lang.String message, int sarMsgRefNum, int sarTotalSegments, int sarSegmentSeqNum)`
`void` | `notifyMessageReception(java.lang.String registrationIdentifier, org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)`
`void` | `notifySmsReception(java.lang.String registrationIdentifier, java.lang.String smsServiceActivationNumber, org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier senderAddress, java.lang.String message)`
`void` | `registerReceiver(java.lang.String regId, NotificationManagerReceiver receiver)`
`void` | `removeReceiver(java.lang.String regId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getManager

    public static NotificationManager getManager()

### registerReceiver

    public void registerReceiver(java.lang.String regId,
                                 NotificationManagerReceiver receiver)

### removeReceiver

    public void removeReceiver(java.lang.String regId)

### notifySmsReception

    public void notifySmsReception(java.lang.String registrationIdentifier,
                                   java.lang.String smsServiceActivationNumber,
                                   org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier senderAddress,
                                   java.lang.String message)
                            throws java.rmi.RemoteException,
                                   org.csapi.www.wsdl.parlayx.sms.v1_0.notification.ApplicationException

  Specified by:
    `notifySmsReception` in interface `org.csapi.www.wsdl.parlayx.sms.v1_0.notification.SmsNotificationPort`
  Throws:
    `java.rmi.RemoteException`
    `org.csapi.www.wsdl.parlayx.sms.v1_0.notification.ApplicationException`

### notifyMessageReception

    public void notifyMessageReception(java.lang.String registrationIdentifier,
                                       org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)
                                throws java.rmi.RemoteException,
                                       org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException

  Specified by:
    `notifyMessageReception` in interface `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort`
  Throws:
    `java.rmi.RemoteException`
    `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException`

### notifyLongSmsReception

    public void notifyLongSmsReception(java.lang.String registrationIdentifier,
                                       java.lang.String smsServiceActivationNumber,
                                       java.lang.String senderAddress,
                                       java.lang.String message,
                                       int sarMsgRefNum,
                                       int sarTotalSegments,
                                       int sarSegmentSeqNum)
                                throws java.rmi.RemoteException

  Specified by:
    `notifyLongSmsReception` in interface `hr.kapsch.wsdl.parlayx.v1_0.notification.NotificationExtensionPort`
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.